#!/usr/bin/env sh

set -e

cd /mnt/newdatadrive/data/node-server/zp

# 停止 pm2 服务
pm2 stop all

# 安装node依赖
if [$2 == "install"]
then
  echo "安装依赖"
  npm install

if [$1 == "stage"]
then 
  echo "运行环境：测试"
  # 打包项目
  echo "打包项目"
  npm run build:stage

  # 使用 pm2 启动项目
  echo "使用 pm2 启动项目"
  pm2 start npm -- run start:stage
elif [$1 == "product"]
  echo "运行环境：正式"
  # 打包项目
  echo "打包项目"
  npm run build:prod

  # 使用 pm2 启动项目
  echo "使用 pm2 启动项目"
  pm2 start npm -- run start:prod
else
  echo "缺少相关参数env"  
fi

cd -
